# AccountInfoResponse | xrpl
Documentation for xrpl

# Interface AccountInfoResponse

Response expected from an AccountInfoRequest.

#### Hierarchy

- BaseResponse
  - AccountInfoResponse

- Defined in packages/xrpl/src/models/methods/accountInfo.ts:89

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
account_data: AccountRoot & {
signer_lists?: SignerList [];
};
ledger_current_index?: number;
ledger_index?: number;
queue_data?: QueueData;
validated?: boolean;
}

#### Type declaration

- ##### account_data: AccountRoot & {
  signer_lists?: SignerList [];
  }

  The AccountRoot ledger object with this account's information, as stored in the ledger. If requested, also includes Array of SignerList ledger objects associated with this account for Multi-Signing. Since an account can own at most one SignerList, this array must have exactly one member if it is present.

- ##### `Optional` ledger_current_index?: number

  The ledger index of the current in-progress ledger, which was used when retrieving this information.

- ##### `Optional` ledger_index?: number

  The ledger index of the ledger version used when retrieving this information. The information does not contain any changes from ledger versions newer than this one.

- ##### `Optional` queue_data?: QueueData

  Information about queued transactions sent by this account. This information describes the state of the local rippled server, which may be different from other servers in the peer-to-peer XRP Ledger network. Some fields may be omitted because the values are calculated "lazily" by the queuing mechanism.

- ##### `Optional` validated?: boolean

  True if this data is from a validated ledger version; if omitted or set to false, this data is not final.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/accountInfo.ts:90

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc